List Leads
curl --request GET \
--url https://api.trysela.com/api/leads/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.trysela.com/api/leads/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.trysela.com/api/leads/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"count": 1023,
"next": "https://api.trysela.com/api/leads/?page=2",
"previous": null,
"results": [
{
"id": 28013,
"email": "first_name@trysela.com",
"phone_number": "+18042221111",
"metadata": {
"phone_number": "+18042221111",
"email": "first_name@trysela.com",
"first_name": "First",
"last_name": "Name",
"timezone": "America/Los_Angeles",
"created_at": "02/28/2025 15:09",
"property_address": "123 Main St",
"property_city": "San Francisco",
"property_state": "California",
"property_zip": "94101",
"address": "456 2nd St",
"city": "Los Angeles",
"state": "California",
"zip": "90001",
"lead_source": "USDALoans.com",
"external_id": "id_in_your_crm_123"
},
"modified_time": "2025-02-28T15:09:03.139554-08:00",
"created_time": "2025-02-28T15:09:03.122515-08:00",
"status": "OPEN",
"status_reason": null,
"lead_source": "USDALoans.com",
"lead_type": 123,
"representative": 456,
"next_call_time": "025-02-28T15:09:03.122515-08:00",
"next_call_time_reason": "FIRST_CALL",
"external_id": "id_in_your_crm_123",
"us_state": "CA",
"received_time": "2025-02-28T15:09:03.122515-08:00",
"reengagements_count": 0,
"last_reengagement_time": null,
"call_schedule_start_time": null,
"sms_dnc": false,
"call_dnc": false
}
]
}
]
}Leads
List Leads
Lists all leads.
GET
/
api
/
leads
/
List Leads
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
⌘I